Package ru.bitel.bgbilling.kernel.customer.common.bean

# Enum Class Customer.CustomerType

java.lang.Object
java.lang.Enum<Customer.CustomerType>
ru.bitel.bgbilling.kernel.customer.common.bean.Customer.CustomerType

All Implemented Interfaces:
  `Serializable`, `Comparable<Customer.CustomerType>`, `Constable`

Enclosing class:
  `Customer`

public static enum Customer.CustomerType extends Enum<Customer.CustomerType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FIZ_CUSTOMER`
  `JUR_CUSTOMER`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Customer.CustomerType`
  `defineType(String type)`
  `String`
  `getTitle()`
  `String`
  `getType()`
  `static Customer.CustomerType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Customer.CustomerType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### JUR_CUSTOMER

    public static final Customer.CustomerType JUR_CUSTOMER

  - ### FIZ_CUSTOMER

    public static final Customer.CustomerType FIZ_CUSTOMER

- ## Method Details

  - ### values

    public static Customer.CustomerType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Customer.CustomerType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getType

    public String getType()

  - ### getTitle

    public String getTitle()

  - ### defineType

    public static Customer.CustomerType defineType(String type)